Skip navigation links
A B C D E F G H I J K L M N O P Q R S T U V W X Y Z 

H

hasBalloon() - Method in class net.lehal.sw.INote
 
hasCartoonEdges(boolean) - Method in class net.lehal.sw.IRayTraceRendererOptions
 
hasCartoonEdges() - Method in class net.lehal.sw.IRayTraceRendererOptions
 
hasCartoonShading(boolean) - Method in class net.lehal.sw.IRayTraceRendererOptions
 
hasCartoonShading() - Method in class net.lehal.sw.IRayTraceRendererOptions
 
hasDamper() - Method in class net.lehal.sw.ISimulationSpringFeatureData
 
hasDamper(boolean) - Method in class net.lehal.sw.ISimulationSpringFeatureData
 
hasDesignTable() - Method in class net.lehal.sw.IModelDocExtension
 
hasDesignTable() - Method in class net.lehal.sw.IView
 
hasDetachCenterMark() - Method in class net.lehal.sw.ICenterMark
 
hasEnabledButton() - Method in class net.lehal.sw.ICommandGroup
 
hasExtraLeader() - Method in class net.lehal.sw.ICustomSymbol
 
hasExtraLeader() - Method in class net.lehal.sw.IGtol
 
hasExtraLeader() - Method in class net.lehal.sw.INote
 
hasExtraLeader() - Method in class net.lehal.sw.ISFSymbol
 
hasExtraLeader() - Method in class net.lehal.sw.IWeldSymbol
 
hasFrozenUpdatePending() - Method in class net.lehal.sw.IFeature
 
hasFullOutline() - Method in class net.lehal.sw.IDetailCircle
 
hashCode() - Method in class net.lehal.api.GUID
 
hasLegacyCThreads() - Method in class net.lehal.sw.IModelDocExtension
 
hasLoadBearingFaces() - Method in class net.lehal.sw.IMate2
 
hasMaterialPropertyValues() - Method in class net.lehal.sw.IBody2
 
hasMaterialPropertyValues() - Method in class net.lehal.sw.IComponent2
 
hasMaterialPropertyValues() - Method in class net.lehal.sw.IFace2
 
hasMaterialPropertyValues() - Method in class net.lehal.sw.IFeature
 
hasMaterialPropertyValues() - Method in class net.lehal.sw.IModelDocExtension
 
hasMenu(boolean) - Method in class net.lehal.sw.ICommandGroup
 
hasMenu() - Method in class net.lehal.sw.ICommandGroup
 
hasMultipleFonts() - Method in class net.lehal.sw.INote
 
hasPerspective() - Method in class net.lehal.sw.IModelView
 
hasRenamedDocuments() - Method in class net.lehal.sw.IModelDocExtension
 
hasToolbar(boolean) - Method in class net.lehal.sw.ICommandGroup
 
hasToolbar() - Method in class net.lehal.sw.ICommandGroup
 
hasTreatInterferenceAsShrinkFit() - Method in class net.lehal.sw.IMate2
 
hasUnloadedComponents() - Method in class net.lehal.sw.IAssemblyDoc
 
hasUnloadedComponents() - Method in class net.lehal.sw.IComponent2
 
hatchScope(int) - Method in class net.lehal.sw.IFaceHatch
 
hatchScope() - Method in class net.lehal.sw.IFaceHatch
 
hatchType() - Method in class net.lehal.sw.IFaceHatch
 
hatchType(int) - Method in class net.lehal.sw.IFaceHatch
 
headClearance(double) - Method in class net.lehal.sw.IWizardHoleFeatureData
 
headClearance() - Method in class net.lehal.sw.IWizardHoleFeatureData
 
headClearance() - Method in class net.lehal.sw.IWizardHoleFeatureData2
 
headClearance(double) - Method in class net.lehal.sw.IWizardHoleFeatureData2
 
headClearanceType(int) - Method in class net.lehal.sw.IWizardHoleFeatureData2
 
headClearanceType() - Method in class net.lehal.sw.IWizardHoleFeatureData2
 
headerTextFormat() - Method in class net.lehal.sw.IPageSetup
 
healEdges() - Method in class net.lehal.sw.IHealEdgesFeatureData
 
hearClashes() - Method in class net.lehal.sw.IDragOperator
 
hearClashes(boolean) - Method in class net.lehal.sw.IDragOperator
 
height() - Method in class net.lehal.sw.IDomeFeatureData
 
height(double) - Method in class net.lehal.sw.IDomeFeatureData
 
height() - Method in class net.lehal.sw.IDomeFeatureData2
 
height(double) - Method in class net.lehal.sw.IDomeFeatureData2
 
height(double) - Method in class net.lehal.sw.IHelixFeatureData
 
height() - Method in class net.lehal.sw.IHelixFeatureData
 
height(double) - Method in class net.lehal.sw.IPlaneManipulator
 
height() - Method in class net.lehal.sw.IPlaneManipulator
 
height(double) - Method in class net.lehal.sw.IPMIDatumTarget
 
height() - Method in class net.lehal.sw.IPMIDatumTarget
 
height() - Method in class net.lehal.sw.IPropertyManagerPageActiveX
 
height(short) - Method in class net.lehal.sw.IPropertyManagerPageActiveX
 
height(short) - Method in class net.lehal.sw.IPropertyManagerPageCombobox
 
height() - Method in class net.lehal.sw.IPropertyManagerPageCombobox
 
height(short) - Method in class net.lehal.sw.IPropertyManagerPageLabel
 
height() - Method in class net.lehal.sw.IPropertyManagerPageLabel
 
height(short) - Method in class net.lehal.sw.IPropertyManagerPageListbox
 
height() - Method in class net.lehal.sw.IPropertyManagerPageListbox
 
height(short) - Method in class net.lehal.sw.IPropertyManagerPageNumberbox
 
height() - Method in class net.lehal.sw.IPropertyManagerPageNumberbox
 
height() - Method in class net.lehal.sw.IPropertyManagerPageSelectionbox
 
height(short) - Method in class net.lehal.sw.IPropertyManagerPageSelectionbox
 
height(short) - Method in class net.lehal.sw.IPropertyManagerPageSlider
 
height() - Method in class net.lehal.sw.IPropertyManagerPageSlider
 
height() - Method in class net.lehal.sw.IPropertyManagerPageTextbox
 
height(short) - Method in class net.lehal.sw.IPropertyManagerPageTextbox
 
height() - Method in class net.lehal.sw.IPropertyManagerPageWindowFromHandle
 
height(int) - Method in class net.lehal.sw.IPropertyManagerPageWindowFromHandle
 
height(double) - Method in class net.lehal.sw.IRenderMaterial
 
height() - Method in class net.lehal.sw.IRenderMaterial
 
height(double) - Method in class net.lehal.sw.ISpring
 
height() - Method in class net.lehal.sw.ISpring
 
heightMirror(boolean) - Method in class net.lehal.sw.IRenderMaterial
 
heightMirror() - Method in class net.lehal.sw.IRenderMaterial
 
helpNotify(int) - Method in class net.lehal.sw.events.DSWPropertySheetEvents
 
helpPoint() - Method in class net.lehal.sw.ISimpleFilletFeatureData2
 
helpPoint(Variant) - Method in class net.lehal.sw.ISimpleFilletFeatureData2
 
hidden(boolean) - Method in class net.lehal.sw.IDecal
 
hidden() - Method in class net.lehal.sw.IDecal
 
hiddenEdges(Object) - Method in class net.lehal.sw.IView
 
hiddenEdges() - Method in class net.lehal.sw.IView
 
hiddenViewsVisible() - Method in class net.lehal.sw.IDrawingDoc
 
hiddenViewsVisible(boolean) - Method in class net.lehal.sw.IDrawingDoc
 
hide() - Method in class net.lehal.sw.IAnnotationView
 
hide(Variant) - Method in class net.lehal.sw.IBody
 
hide(Variant) - Method in class net.lehal.sw.IBody2
 
hideBodies() - Method in class net.lehal.sw.IFeatureManager
 
hideBody(boolean) - Method in class net.lehal.sw.IBody2
 
hideBubbleTooltip() - Method in class net.lehal.sw.ISldWorks
 
hideComponent() - Method in class net.lehal.sw.IAssemblyDoc
 
hideComponent2() - Method in class net.lehal.sw.IModelDoc
 
hideComponent2() - Method in class net.lehal.sw.IModelDoc2
 
hideComponentSingleConfigurationOrDisplayStateNames() - Method in class net.lehal.sw.IFeatureManager
 
hideComponentSingleConfigurationOrDisplayStateNames(boolean) - Method in class net.lehal.sw.IFeatureManager
 
hideCosmeticThread() - Method in class net.lehal.sw.IModelDoc
 
hideCosmeticThread() - Method in class net.lehal.sw.IModelDoc2
 
hideDecal(int, boolean) - Method in class net.lehal.sw.IModelDocExtension
 
hideDimension() - Method in class net.lehal.sw.IModelDoc
 
hideDimension() - Method in class net.lehal.sw.IModelDoc2
 
hideEdge() - Method in class net.lehal.sw.IDrawingDoc
 
hideFeatureDimensions() - Method in class net.lehal.sw.IModelDoc
 
hideFeatureDimensions() - Method in class net.lehal.sw.IModelDoc2
 
hideFeatureManager(boolean) - Method in class net.lehal.sw.IModelDocExtension
 
hideMagnifyingGlass() - Method in class net.lehal.sw.IModelView
 
hideNewComponentModels() - Method in class net.lehal.sw.IConfiguration
 
hideNewComponentModels(boolean) - Method in class net.lehal.sw.IConfiguration
 
hideParts(boolean) - Method in class net.lehal.sw.IJoinFeatureData
 
hideParts() - Method in class net.lehal.sw.IJoinFeatureData
 
hideShowBodies() - Method in class net.lehal.sw.IModelDoc
 
hideShowBodies() - Method in class net.lehal.sw.IModelDoc2
 
hideShowDimensions() - Method in class net.lehal.sw.IDrawingDoc
 
hideShowDrawingViews() - Method in class net.lehal.sw.IDrawingDoc
 
hideSolidBody() - Method in class net.lehal.sw.IModelDoc
 
hideSolidBody() - Method in class net.lehal.sw.IModelDoc2
 
hideToolbar(String, int) - Method in class net.lehal.sw.ISldWorks
 
hideToolbar2(int, int) - Method in class net.lehal.sw.ISldWorks
 
hideView() - Method in class net.lehal.sw.ITaskpaneView
 
highlight(boolean) - Method in class net.lehal.sw.IEdge
 
highlight(boolean) - Method in class net.lehal.sw.IFace
 
highlight(boolean) - Method in class net.lehal.sw.IFace2
 
highlightClashes(boolean) - Method in class net.lehal.sw.IDragOperator
 
highlightClashes() - Method in class net.lehal.sw.IDragOperator
 
highlightTBButton(int) - Method in class net.lehal.sw.ISldWorks
 
highQuality(boolean) - Method in class net.lehal.sw.IPageSetup
 
highQuality() - Method in class net.lehal.sw.IPageSetup
 
hlrQuality(int) - Method in class net.lehal.sw.IModelView
 
hlrQuality() - Method in class net.lehal.sw.IModelView
 
Holder<T> - Class in net.lehal.api
 
Holder() - Constructor for class net.lehal.api.Holder
Initializes Holder.value to null.
Holder(T) - Constructor for class net.lehal.api.Holder
Initializes Holder.value by the given value.
holdLines(Object) - Method in class net.lehal.sw.ISimpleFilletFeatureData2
 
holdLines() - Method in class net.lehal.sw.ISimpleFilletFeatureData2
 
holeCentersVisible(boolean) - Method in class net.lehal.sw.IHoleTable
 
holeCentersVisible() - Method in class net.lehal.sw.IHoleTable
 
holeDepth(double) - Method in class net.lehal.sw.IWizardHoleFeatureData
 
holeDepth() - Method in class net.lehal.sw.IWizardHoleFeatureData
 
holeDepth(double) - Method in class net.lehal.sw.IWizardHoleFeatureData2
 
holeDepth() - Method in class net.lehal.sw.IWizardHoleFeatureData2
 
holeDiameter() - Method in class net.lehal.sw.IWizardHoleFeatureData
 
holeDiameter(double) - Method in class net.lehal.sw.IWizardHoleFeatureData
 
holeDiameter(double) - Method in class net.lehal.sw.IWizardHoleFeatureData2
 
holeDiameter() - Method in class net.lehal.sw.IWizardHoleFeatureData2
 
holeFit() - Method in class net.lehal.sw.ICalloutVariable
 
holeFit(String) - Method in class net.lehal.sw.ICalloutVariable
 
holeFit() - Method in class net.lehal.sw.IStraightElementData
 
holeFit(String) - Method in class net.lehal.sw.IStraightElementData
 
holeFit() - Method in class net.lehal.sw.IWizardHoleFeatureData2
 
holeFit(int) - Method in class net.lehal.sw.IWizardHoleFeatureData2
 
holeTable() - Method in class net.lehal.sw.IHoleTableAnnotation
 
holeTag(int, String) - Method in class net.lehal.sw.IHoleTable
 
holeTag(int) - Method in class net.lehal.sw.IHoleTable
 
holeTagsVisible(boolean) - Method in class net.lehal.sw.IHoleTable
 
holeTagsVisible() - Method in class net.lehal.sw.IHoleTable
 
holeWizard(int, int, int, String, short, double, double, double, double, double, double, double, double, double, double, double, double, double, double) - Method in class net.lehal.sw.IFeatureManager
 
holeWizard(double, short, boolean, boolean, int, double, double, double, double, double, double, double, double, double, double, double, double) - Method in class net.lehal.sw.IModelDoc
 
holeWizard(double, short, boolean, boolean, int, double, double, double, double, double, double, double, double, double, double, double, double) - Method in class net.lehal.sw.IModelDoc2
 
holeWizard2(int, int, int, String, short, double, double, double, double, double, double, double, double, double, double, double, double, double, double, String, boolean, boolean, boolean, boolean, boolean) - Method in class net.lehal.sw.IFeatureManager
 
holeWizard3(int, int, int, String, short, double, double, double, double, double, double, double, double, double, double, double, double, double, double, String, boolean, boolean, boolean, boolean, boolean, boolean) - Method in class net.lehal.sw.IFeatureManager
 
holeWizard4(int, int, int, String, short, double, double, double, double, double, double, double, double, double, double, double, double, double, double, String, boolean, boolean, boolean, boolean, boolean, boolean) - Method in class net.lehal.sw.IFeatureManager
 
holeWizard5(int, int, int, String, short, double, double, double, double, double, double, double, double, double, double, double, double, double, double, double, String, boolean, boolean, boolean, boolean, boolean, boolean) - Method in class net.lehal.sw.IFeatureManager
 
holeWizardData(boolean) - Method in class net.lehal.sw.IMirrorPartFeatureData
 
holeWizardData() - Method in class net.lehal.sw.IMirrorPartFeatureData
 
horizonHeight(double) - Method in class net.lehal.sw.ISwScene
 
horizonHeight() - Method in class net.lehal.sw.ISwScene
 
horizontalAutoSplit(int, int, int) - Method in class net.lehal.sw.ITableAnnotation
 
horizontalJustification(int) - Method in class net.lehal.sw.IDisplayDimension
 
horizontalJustification() - Method in class net.lehal.sw.IDisplayDimension
 
hWnd() - Method in class net.lehal.sw.IModelWindow
 
hWndx64() - Method in class net.lehal.sw.IModelWindow
 
hyperlinkUpdate(HyperlinkEvent) - Method in class net.lehal.cad.check.DataIntegrityChecker
 
A B C D E F G H I J K L M N O P Q R S T U V W X Y Z 
Skip navigation links